Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 808456 - media-sound/gmpc depends on deprecated x11-libs/gtk+:2 and dev-util/gob:2
Summary: media-sound/gmpc depends on deprecated x11-libs/gtk+:2 and dev-util/gob:2
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL: https://repo.or.cz/gmpc.git/shortlog
Whiteboard:
Keywords:
Depends on:
Blocks: gtk2-removal 808459
  Show dependency tree
 
Reported: 2021-08-15 14:17 UTC by Andreas Sturmlechner
Modified: 2021-08-15 17:52 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-08-15 14:17:40 UTC
Last release in 2011.

It seems that a porting effort to GTK+3 was started, but stalled in 2015.

https://repo.or.cz/gmpc.git/shortlog
Comment 1 Miroslav Šulc gentoo-dev 2021-08-15 14:22:56 UTC
not sure what to do about this one. it's still in other distros: https://repology.org/project/gmpc/versions
Comment 2 Andreas Sturmlechner gentoo-dev 2021-08-15 14:29:07 UTC
Note that Debian are (necessary or not) applying a raft of patches:

https://salsa.debian.org/mpd-team/gmpc/-/blob/debian/latest/debian/patches/series

We're not in a hurry yet.
Comment 3 Andreas Sturmlechner gentoo-dev 2021-08-15 17:52:08 UTC
For completeness, list of revdeps (plugins): https://qa-reports.gentoo.org/output/genrdeps/rindex/media-sound/gmpc

One existing issue bug 740156.